/*===========================================================================*/
/*   (Eval/progn.scm)                                                        */
/*   Bigloo (4.7a)                                                           */
/*   Inria -- Sophia Antipolis (c)       Thu Feb 19 09:11:58 AM CET 2026     */
/*===========================================================================*/
/* COMPILATION: (/home/serrano/prgm/project/bigloo/4.7a/bin/bigloo -srfi bigloo-unsafe -O3 -fcfa-arithmetic -q -lib-dir /home/serrano/prgm/project/bigloo/4.7a/lib/bigloo/4.7a +rm -mklib -cc gcc -fsharing -q -no-hello -unsafe -safee -O4 -stdc -c Eval/progn.scm -indent -o objs/obj_u/Eval/progn.c) */
/* GC selection */
#define THE_GC BOEHM_GC

/* unsafe mode */
#define BIGLOO_UNSAFE 1

/* traces mode */
#define BIGLOO_TRACE 0

/* standard Bigloo include */
#include <bigloo.h>

#ifdef __cplusplus
extern "C"
{
#endif
#ifndef BGL_MODULE_TYPE_DEFINITIONS
#define BGL_MODULE_TYPE_DEFINITIONS
#ifndef BGL___PROGN_TYPE_DEFINITIONS
#define BGL___PROGN_TYPE_DEFINITIONS
#endif													// BGL___PROGN_TYPE_DEFINITIONS
#endif													// BGL_MODULE_TYPE_DEFINITIONS

	extern bool_t BGl_pairzd2orzd2nullzf3zf3zz__r4_pairs_and_lists_6_3z00(obj_t);
	static obj_t BGl_makezd2epairzd2zz__prognz00(obj_t, obj_t, obj_t);
	static obj_t BGl_requirezd2initializa7ationz75zz__prognz00 = BUNSPEC;
	BGL_EXPORTED_DECL obj_t BGl_evepairifyz00zz__prognz00(obj_t, obj_t);
	extern obj_t BGl_typezd2errorzd2zz__errorz00(obj_t, obj_t, obj_t, obj_t,
		obj_t);
	BGL_EXPORTED_DECL obj_t BGl_modulezd2initializa7ationz75zz__prognz00(long,
		char *);
	extern obj_t BGl_modulezd2initializa7ationz75zz__r4_output_6_10_3z00(long,
		char *);
	extern obj_t BGl_modulezd2initializa7ationz75zz__r4_ports_6_10_1z00(long,
		char *);
	extern obj_t BGl_modulezd2initializa7ationz75zz__r4_vectors_6_8z00(long,
		char *);
	extern obj_t
		BGl_modulezd2initializa7ationz75zz__r4_control_features_6_9z00(long,
		char *);
	extern obj_t
		BGl_modulezd2initializa7ationz75zz__r4_pairs_and_lists_6_3z00(long, char *);
	extern obj_t BGl_modulezd2initializa7ationz75zz__r4_strings_6_7z00(long,
		char *);
	extern obj_t BGl_modulezd2initializa7ationz75zz__r4_symbols_6_4z00(long,
		char *);
	extern obj_t BGl_modulezd2initializa7ationz75zz__r4_booleans_6_1z00(long,
		char *);
	extern obj_t BGl_modulezd2initializa7ationz75zz__r4_equivalence_6_2z00(long,
		char *);
	extern obj_t BGl_modulezd2initializa7ationz75zz__r4_characters_6_6z00(long,
		char *);
	extern obj_t
		BGl_modulezd2initializa7ationz75zz__r4_numbers_6_5_flonum_dtoaz00(long,
		char *);
	extern obj_t
		BGl_modulezd2initializa7ationz75zz__r4_numbers_6_5_flonumz00(long, char *);
	extern obj_t
		BGl_modulezd2initializa7ationz75zz__r4_numbers_6_5_fixnumz00(long, char *);
	extern obj_t BGl_modulezd2initializa7ationz75zz__r4_numbers_6_5z00(long,
		char *);
	extern obj_t BGl_modulezd2initializa7ationz75zz__threadz00(long, char *);
	extern obj_t BGl_modulezd2initializa7ationz75zz__objectz00(long, char *);
	extern obj_t BGl_modulezd2initializa7ationz75zz__expandz00(long, char *);
	extern obj_t BGl_modulezd2initializa7ationz75zz__paramz00(long, char *);
	extern obj_t BGl_modulezd2initializa7ationz75zz__bignumz00(long, char *);
	extern obj_t BGl_modulezd2initializa7ationz75zz__bexitz00(long, char *);
	extern obj_t BGl_modulezd2initializa7ationz75zz__structurez00(long, char *);
	extern obj_t BGl_modulezd2initializa7ationz75zz__tvectorz00(long, char *);
	extern obj_t BGl_modulezd2initializa7ationz75zz__biglooz00(long, char *);
	extern obj_t BGl_modulezd2initializa7ationz75zz__errorz00(long, char *);
	static obj_t BGl_z62evepairifyz62zz__prognz00(obj_t, obj_t, obj_t);
	static obj_t BGl_z62evepairifyza2zc0zz__prognz00(obj_t, obj_t, obj_t);
	static obj_t BGl_cnstzd2initzd2zz__prognz00(void);
	static obj_t BGl_genericzd2initzd2zz__prognz00(void);
	static obj_t BGl_importedzd2moduleszd2initz00zz__prognz00(void);
	static obj_t BGl_gczd2rootszd2initz00zz__prognz00(void);
	static obj_t BGl_objectzd2initzd2zz__prognz00(void);
	extern obj_t bstring_to_symbol(obj_t);
	static obj_t BGl_appendzd221011zd2zz__prognz00(obj_t, obj_t);
	static obj_t BGl_symbol1701z00zz__prognz00 = BUNSPEC;
	static obj_t BGl_methodzd2initzd2zz__prognz00(void);
	static obj_t BGl_loopze70ze7zz__prognz00(obj_t, obj_t);
	static obj_t BGl_loopze71ze7zz__prognz00(obj_t, obj_t);
	BGL_EXPORTED_DECL obj_t BGl_evepairifyza2za2zz__prognz00(obj_t, obj_t);
	BGL_EXPORTED_DECL obj_t BGl_evepairifyzd2deepzd2zz__prognz00(obj_t, obj_t);
	static obj_t BGl_z62evepairifyzd2deepzb0zz__prognz00(obj_t, obj_t, obj_t);
	static obj_t BGl_z62expandzd2prognzb0zz__prognz00(obj_t, obj_t);
	static obj_t BGl_flattenzd2sequenceze70z35zz__prognz00(obj_t);
	extern obj_t BGl_errorz00zz__errorz00(obj_t, obj_t, obj_t);
	BGL_EXPORTED_DECL obj_t BGl_expandzd2prognzd2zz__prognz00(obj_t);
	static obj_t *__cnst;


	   
		 
		DEFINE_EXPORT_BGL_PROCEDURE(BGl_evepairifyzd2envzd2zz__prognz00,
		BgL_bgl_za762evepairifyza7621708z00, BGl_z62evepairifyz62zz__prognz00, 0L,
		BUNSPEC, 2);
	      DEFINE_EXPORT_BGL_PROCEDURE(BGl_evepairifyza2zd2envz70zz__prognz00,
		BgL_bgl_za762evepairifyza7a21709z00, BGl_z62evepairifyza2zc0zz__prognz00,
		0L, BUNSPEC, 2);
	      BGL_DEFINE_STRING(BGl_string1702z00zz__prognz00,
		BgL_bgl_string1702za700za7za7_1710za7, "begin", 5);
	      BGL_DEFINE_STRING(BGl_string1703z00zz__prognz00,
		BgL_bgl_string1703za700za7za7_1711za7, "Illegal form", 12);
	      BGL_DEFINE_STRING(BGl_string1704z00zz__prognz00,
		BgL_bgl_string1704za700za7za7_1712za7, "/tmp/bigloo/runtime/Eval/progn.scm",
		34);
	      BGL_DEFINE_STRING(BGl_string1705z00zz__prognz00,
		BgL_bgl_string1705za700za7za7_1713za7, "&expand-progn", 13);
	      BGL_DEFINE_STRING(BGl_string1706z00zz__prognz00,
		BgL_bgl_string1706za700za7za7_1714za7, "pair-nil", 8);
	      BGL_DEFINE_STRING(BGl_string1707z00zz__prognz00,
		BgL_bgl_string1707za700za7za7_1715za7, "__progn", 7);
	      DEFINE_EXPORT_BGL_PROCEDURE(BGl_evepairifyzd2deepzd2envz00zz__prognz00,
		BgL_bgl_za762evepairifyza7d21716z00,
		BGl_z62evepairifyzd2deepzb0zz__prognz00, 0L, BUNSPEC, 2);
	      DEFINE_EXPORT_BGL_PROCEDURE(BGl_expandzd2prognzd2envz00zz__prognz00,
		BgL_bgl_za762expandza7d2prog1717z00, BGl_z62expandzd2prognzb0zz__prognz00,
		0L, BUNSPEC, 1);

/* contant bindings */
	static void bgl_constant_bindings()
	{
		BGL_BIND_PROCEDURE(BGl_expandzd2prognzd2envz00zz__prognz00,
			BgL_bgl_za762expandza7d2prog1717z00);
		BGL_BIND_PROCEDURE(BGl_evepairifyzd2deepzd2envz00zz__prognz00,
			BgL_bgl_za762evepairifyza7d21716z00);
		BGL_BIND_STRING(BGl_string1707z00zz__prognz00,
			BgL_bgl_string1707za700za7za7_1715za7);
		BGL_BIND_STRING(BGl_string1706z00zz__prognz00,
			BgL_bgl_string1706za700za7za7_1714za7);
		BGL_BIND_STRING(BGl_string1705z00zz__prognz00,
			BgL_bgl_string1705za700za7za7_1713za7);
		BGL_BIND_STRING(BGl_string1704z00zz__prognz00,
			BgL_bgl_string1704za700za7za7_1712za7);
		BGL_BIND_STRING(BGl_string1703z00zz__prognz00,
			BgL_bgl_string1703za700za7za7_1711za7);
		BGL_BIND_STRING(BGl_string1702z00zz__prognz00,
			BgL_bgl_string1702za700za7za7_1710za7);
		BGL_BIND_PROCEDURE(BGl_evepairifyza2zd2envz70zz__prognz00,
			BgL_bgl_za762evepairifyza7a21709z00);
		BGL_BIND_PROCEDURE(BGl_evepairifyzd2envzd2zz__prognz00,
			BgL_bgl_za762evepairifyza7621708z00);
	}

/* GC roots registration */
	static obj_t bgl_gc_roots_register()
	{
#if defined( BGL_GC_ROOTS )
#define ADD_ROOT( addr ) (addr > roots_max ? roots_max = addr : (addr < roots_min ? roots_min = addr : 0))
		void *roots_min = (void *) ULONG_MAX, *roots_max = 0;

		ADD_ROOT((void *) (&BGl_requirezd2initializa7ationz75zz__prognz00));
		ADD_ROOT((void *) (&BGl_symbol1701z00zz__prognz00));
#undef ADD_ROOT
		if (roots_max > 0)
			GC_add_roots(roots_min, ((void **) roots_max) + 1);
#endif
		return BUNSPEC;
	}



/* module-initialization */
	BGL_EXPORTED_DEF obj_t BGl_modulezd2initializa7ationz75zz__prognz00(long
		BgL_checksumz00_1938, char *BgL_fromz00_1939)
	{
		{
			if (CBOOL(BGl_requirezd2initializa7ationz75zz__prognz00))
				{
					BGl_requirezd2initializa7ationz75zz__prognz00 = BBOOL(((bool_t) 0));
					bgl_constant_bindings();
					BGl_gczd2rootszd2initz00zz__prognz00();
					BGl_cnstzd2initzd2zz__prognz00();
					BGl_importedzd2moduleszd2initz00zz__prognz00();
					return BGl_methodzd2initzd2zz__prognz00();
				}
			else
				{
					return BUNSPEC;
				}
		}

	}



/* cnst-init */
	obj_t BGl_cnstzd2initzd2zz__prognz00(void)
	{
		{	/* Eval/progn.scm 14 */
			return (BGl_symbol1701z00zz__prognz00 =
				bstring_to_symbol(BGl_string1702z00zz__prognz00), BUNSPEC);
		}

	}



/* gc-roots-init */
	obj_t BGl_gczd2rootszd2initz00zz__prognz00(void)
	{
		{	/* Eval/progn.scm 14 */
			return bgl_gc_roots_register();
		}

	}



/* append-21011 */
	obj_t BGl_appendzd221011zd2zz__prognz00(obj_t BgL_l1z00_1, obj_t BgL_l2z00_2)
	{
		{
			if (NULLP(BgL_l1z00_1))
				{
					return BgL_l2z00_2;
				}
			else
				{
					obj_t BgL_headz00_1123;

					BgL_headz00_1123 = MAKE_YOUNG_PAIR(BNIL, BgL_l2z00_2);
					{
						obj_t BgL_prevz00_1674;
						obj_t BgL_tailz00_1675;

						BgL_prevz00_1674 = BgL_headz00_1123;
						BgL_tailz00_1675 = BgL_l1z00_1;
					BgL_loopz00_1673:
						if (PAIRP(BgL_tailz00_1675))
							{
								obj_t BgL_newzd2prevzd2_1681;

								BgL_newzd2prevzd2_1681 =
									MAKE_YOUNG_PAIR(CAR(BgL_tailz00_1675), BgL_l2z00_2);
								SET_CDR(BgL_prevz00_1674, BgL_newzd2prevzd2_1681);
								{
									obj_t BgL_tailz00_1959;
									obj_t BgL_prevz00_1958;

									BgL_prevz00_1958 = BgL_newzd2prevzd2_1681;
									BgL_tailz00_1959 = CDR(BgL_tailz00_1675);
									BgL_tailz00_1675 = BgL_tailz00_1959;
									BgL_prevz00_1674 = BgL_prevz00_1958;
									goto BgL_loopz00_1673;
								}
							}
						else
							{
								BNIL;
							}
					}
					return CDR(BgL_headz00_1123);
				}
		}

	}



/* make-epair */
	obj_t BGl_makezd2epairzd2zz__prognz00(obj_t BgL_az00_3, obj_t BgL_bz00_4,
		obj_t BgL_ez00_5)
	{
		{	/* Eval/progn.scm 55 */
			if (EPAIRP(BgL_ez00_5))
				{	/* Eval/progn.scm 58 */
					obj_t BgL_arg1167z00_1132;

					BgL_arg1167z00_1132 = CER(((obj_t) BgL_ez00_5));
					{	/* Eval/progn.scm 58 */
						obj_t BgL_res1693z00_1689;

						BgL_res1693z00_1689 =
							MAKE_YOUNG_EPAIR(BgL_az00_3, BgL_bz00_4, BgL_arg1167z00_1132);
						return BgL_res1693z00_1689;
					}
				}
			else
				{	/* Eval/progn.scm 57 */
					if (EPAIRP(BgL_bz00_4))
						{	/* Eval/progn.scm 60 */
							obj_t BgL_arg1169z00_1134;

							BgL_arg1169z00_1134 = CER(((obj_t) BgL_bz00_4));
							{	/* Eval/progn.scm 60 */
								obj_t BgL_res1694z00_1691;

								BgL_res1694z00_1691 =
									MAKE_YOUNG_EPAIR(BgL_az00_3, BgL_bz00_4, BgL_arg1169z00_1134);
								return BgL_res1694z00_1691;
							}
						}
					else
						{	/* Eval/progn.scm 59 */
							if (EPAIRP(BgL_az00_3))
								{	/* Eval/progn.scm 62 */
									obj_t BgL_arg1187z00_1136;

									BgL_arg1187z00_1136 = CER(((obj_t) BgL_az00_3));
									{	/* Eval/progn.scm 62 */
										obj_t BgL_res1695z00_1693;

										BgL_res1695z00_1693 =
											MAKE_YOUNG_EPAIR(BgL_az00_3, BgL_bz00_4,
											BgL_arg1187z00_1136);
										return BgL_res1695z00_1693;
									}
								}
							else
								{	/* Eval/progn.scm 61 */
									return MAKE_YOUNG_PAIR(BgL_az00_3, BgL_bz00_4);
								}
						}
				}
		}

	}



/* evepairify */
	BGL_EXPORTED_DEF obj_t BGl_evepairifyz00zz__prognz00(obj_t BgL_pairz00_6,
		obj_t BgL_epairz00_7)
	{
		{	/* Eval/progn.scm 74 */
			if (EPAIRP(BgL_epairz00_7))
				{	/* Eval/progn.scm 76 */
					if (EPAIRP(BgL_pairz00_6))
						{	/* Eval/progn.scm 78 */
							return BgL_pairz00_6;
						}
					else
						{	/* Eval/progn.scm 78 */
							if (PAIRP(BgL_pairz00_6))
								{	/* Eval/progn.scm 83 */
									obj_t BgL_arg1192z00_1140;
									obj_t BgL_arg1193z00_1141;
									obj_t BgL_arg1194z00_1142;

									BgL_arg1192z00_1140 = CAR(BgL_pairz00_6);
									BgL_arg1193z00_1141 = CDR(BgL_pairz00_6);
									BgL_arg1194z00_1142 = CER(((obj_t) BgL_epairz00_7));
									{	/* Eval/progn.scm 83 */
										obj_t BgL_res1696z00_1697;

										BgL_res1696z00_1697 =
											MAKE_YOUNG_EPAIR(BgL_arg1192z00_1140, BgL_arg1193z00_1141,
											BgL_arg1194z00_1142);
										return BgL_res1696z00_1697;
									}
								}
							else
								{	/* Eval/progn.scm 80 */
									return BgL_pairz00_6;
								}
						}
				}
			else
				{	/* Eval/progn.scm 76 */
					return BgL_pairz00_6;
				}
		}

	}



/* &evepairify */
	obj_t BGl_z62evepairifyz62zz__prognz00(obj_t BgL_envz00_1922,
		obj_t BgL_pairz00_1923, obj_t BgL_epairz00_1924)
	{
		{	/* Eval/progn.scm 74 */
			return BGl_evepairifyz00zz__prognz00(BgL_pairz00_1923, BgL_epairz00_1924);
		}

	}



/* evepairify* */
	BGL_EXPORTED_DEF obj_t BGl_evepairifyza2za2zz__prognz00(obj_t BgL_pairz00_8,
		obj_t BgL_epairz00_9)
	{
		{	/* Eval/progn.scm 93 */
			if (EPAIRP(BgL_epairz00_9))
				{	/* Eval/progn.scm 96 */
					obj_t BgL_ez00_1144;

					BgL_ez00_1144 = CER(((obj_t) BgL_epairz00_9));
					BGL_TAIL return
						BGl_loopze71ze7zz__prognz00(BgL_ez00_1144, BgL_pairz00_8);
				}
			else
				{	/* Eval/progn.scm 94 */
					return BgL_pairz00_8;
				}
		}

	}



/* loop~1 */
	obj_t BGl_loopze71ze7zz__prognz00(obj_t BgL_ez00_1934, obj_t BgL_objz00_1146)
	{
		{	/* Eval/progn.scm 97 */
			if (PAIRP(BgL_objz00_1146))
				{	/* Eval/progn.scm 99 */
					if (EPAIRP(BgL_objz00_1146))
						{	/* Eval/progn.scm 101 */
							return BgL_objz00_1146;
						}
					else
						{	/* Eval/progn.scm 104 */
							obj_t BgL_arg1201z00_1150;
							obj_t BgL_arg1202z00_1151;

							BgL_arg1201z00_1150 =
								BGl_loopze71ze7zz__prognz00(BgL_ez00_1934,
								CAR(BgL_objz00_1146));
							BgL_arg1202z00_1151 =
								BGl_loopze71ze7zz__prognz00(BgL_ez00_1934,
								CDR(BgL_objz00_1146));
							{	/* Eval/progn.scm 104 */
								obj_t BgL_res1697z00_1701;

								BgL_res1697z00_1701 =
									MAKE_YOUNG_EPAIR(BgL_arg1201z00_1150, BgL_arg1202z00_1151,
									BgL_ez00_1934);
								return BgL_res1697z00_1701;
							}
						}
				}
			else
				{	/* Eval/progn.scm 99 */
					return BgL_objz00_1146;
				}
		}

	}



/* &evepairify* */
	obj_t BGl_z62evepairifyza2zc0zz__prognz00(obj_t BgL_envz00_1925,
		obj_t BgL_pairz00_1926, obj_t BgL_epairz00_1927)
	{
		{	/* Eval/progn.scm 93 */
			return
				BGl_evepairifyza2za2zz__prognz00(BgL_pairz00_1926, BgL_epairz00_1927);
		}

	}



/* evepairify-deep */
	BGL_EXPORTED_DEF obj_t BGl_evepairifyzd2deepzd2zz__prognz00(obj_t
		BgL_pairz00_10, obj_t BgL_epairz00_11)
	{
		{	/* Eval/progn.scm 109 */
			if (EPAIRP(BgL_epairz00_11))
				{	/* Eval/progn.scm 111 */
					if (PAIRP(BgL_pairz00_10))
						{	/* Eval/progn.scm 113 */
							if (EPAIRP(BgL_pairz00_10))
								{	/* Eval/progn.scm 115 */
									return BgL_pairz00_10;
								}
							else
								{	/* Eval/progn.scm 118 */
									obj_t BgL_arg1211z00_1158;
									obj_t BgL_arg1213z00_1159;
									obj_t BgL_arg1215z00_1160;

									{	/* Eval/progn.scm 118 */
										obj_t BgL_arg1216z00_1161;
										obj_t BgL_arg1217z00_1162;

										BgL_arg1216z00_1161 = CAR(BgL_pairz00_10);
										BgL_arg1217z00_1162 = CAR(((obj_t) BgL_epairz00_11));
										BgL_arg1211z00_1158 =
											BGl_evepairifyzd2deepzd2zz__prognz00(BgL_arg1216z00_1161,
											BgL_arg1217z00_1162);
									}
									{	/* Eval/progn.scm 119 */
										obj_t BgL_arg1219z00_1163;
										obj_t BgL_arg1224z00_1164;

										BgL_arg1219z00_1163 = CDR(BgL_pairz00_10);
										BgL_arg1224z00_1164 = CDR(((obj_t) BgL_epairz00_11));
										BgL_arg1213z00_1159 =
											BGl_evepairifyzd2deepzd2zz__prognz00(BgL_arg1219z00_1163,
											BgL_arg1224z00_1164);
									}
									BgL_arg1215z00_1160 = CER(((obj_t) BgL_epairz00_11));
									{	/* Eval/progn.scm 118 */
										obj_t BgL_res1698z00_1707;

										BgL_res1698z00_1707 =
											MAKE_YOUNG_EPAIR(BgL_arg1211z00_1158, BgL_arg1213z00_1159,
											BgL_arg1215z00_1160);
										return BgL_res1698z00_1707;
									}
								}
						}
					else
						{	/* Eval/progn.scm 113 */
							return BgL_pairz00_10;
						}
				}
			else
				{	/* Eval/progn.scm 111 */
					return BgL_pairz00_10;
				}
		}

	}



/* &evepairify-deep */
	obj_t BGl_z62evepairifyzd2deepzb0zz__prognz00(obj_t BgL_envz00_1928,
		obj_t BgL_pairz00_1929, obj_t BgL_epairz00_1930)
	{
		{	/* Eval/progn.scm 109 */
			return
				BGl_evepairifyzd2deepzd2zz__prognz00(BgL_pairz00_1929,
				BgL_epairz00_1930);
		}

	}



/* expand-progn */
	BGL_EXPORTED_DEF obj_t BGl_expandzd2prognzd2zz__prognz00(obj_t BgL_expsz00_12)
	{
		{	/* Eval/progn.scm 128 */
			if (NULLP(BgL_expsz00_12))
				{	/* Eval/progn.scm 142 */
					return BUNSPEC;
				}
			else
				{	/* Eval/progn.scm 142 */
					if (NULLP(CDR(BgL_expsz00_12)))
						{	/* Eval/progn.scm 144 */
							return CAR(BgL_expsz00_12);
						}
					else
						{	/* Eval/progn.scm 146 */
							obj_t BgL_esz00_1169;

							BgL_esz00_1169 =
								BGl_flattenzd2sequenceze70z35zz__prognz00(BgL_expsz00_12);
							if (NULLP(BgL_esz00_1169))
								{	/* Eval/progn.scm 148 */
									return BUNSPEC;
								}
							else
								{	/* Eval/progn.scm 148 */
									if (PAIRP(BgL_esz00_1169))
										{	/* Eval/progn.scm 150 */
											if (NULLP(CDR(BgL_esz00_1169)))
												{	/* Eval/progn.scm 152 */
													return CAR(BgL_esz00_1169);
												}
											else
												{	/* Eval/progn.scm 155 */
													obj_t BgL_az00_1727;

													BgL_az00_1727 = BGl_symbol1701z00zz__prognz00;
													if (EPAIRP(BgL_esz00_1169))
														{	/* Eval/progn.scm 58 */
															obj_t BgL_arg1167z00_1729;

															BgL_arg1167z00_1729 = CER(BgL_esz00_1169);
															{	/* Eval/progn.scm 58 */
																obj_t BgL_res1693z00_1731;

																BgL_res1693z00_1731 =
																	MAKE_YOUNG_EPAIR(BgL_az00_1727,
																	BgL_esz00_1169, BgL_arg1167z00_1729);
																return BgL_res1693z00_1731;
															}
														}
													else
														{	/* Eval/progn.scm 57 */
															if (EPAIRP(BgL_esz00_1169))
																{	/* Eval/progn.scm 60 */
																	obj_t BgL_arg1169z00_1733;

																	BgL_arg1169z00_1733 = CER(BgL_esz00_1169);
																	{	/* Eval/progn.scm 60 */
																		obj_t BgL_res1694z00_1735;

																		BgL_res1694z00_1735 =
																			MAKE_YOUNG_EPAIR(BgL_az00_1727,
																			BgL_esz00_1169, BgL_arg1169z00_1733);
																		return BgL_res1694z00_1735;
																	}
																}
															else
																{	/* Eval/progn.scm 59 */
																	if (EPAIRP(BgL_az00_1727))
																		{	/* Eval/progn.scm 62 */
																			obj_t BgL_arg1187z00_1737;

																			BgL_arg1187z00_1737 =
																				CER(((obj_t) BgL_az00_1727));
																			{	/* Eval/progn.scm 62 */
																				obj_t BgL_res1695z00_1739;

																				BgL_res1695z00_1739 =
																					MAKE_YOUNG_EPAIR(BgL_az00_1727,
																					BgL_esz00_1169, BgL_arg1187z00_1737);
																				return BgL_res1695z00_1739;
																			}
																		}
																	else
																		{	/* Eval/progn.scm 61 */
																			return
																				MAKE_YOUNG_PAIR(BgL_az00_1727,
																				BgL_esz00_1169);
																		}
																}
														}
												}
										}
									else
										{	/* Eval/progn.scm 150 */
											return BgL_esz00_1169;
										}
								}
						}
				}
		}

	}



/* loop~0 */
	obj_t BGl_loopze70ze7zz__prognz00(obj_t BgL_expsz00_1933,
		obj_t BgL_esz00_1179)
	{
		{	/* Eval/progn.scm 130 */
		BGl_loopze70ze7zz__prognz00:
			{	/* Eval/progn.scm 132 */
				bool_t BgL_test1741z00_2052;

				if (NULLP(BgL_esz00_1179))
					{	/* Eval/progn.scm 132 */
						BgL_test1741z00_2052 = ((bool_t) 1);
					}
				else
					{	/* Eval/progn.scm 132 */
						BgL_test1741z00_2052 = NULLP(CDR(((obj_t) BgL_esz00_1179)));
					}
				if (BgL_test1741z00_2052)
					{	/* Eval/progn.scm 132 */
						return BgL_esz00_1179;
					}
				else
					{	/* Eval/progn.scm 132 */
						if (PAIRP(BgL_esz00_1179))
							{	/* Eval/progn.scm 136 */
								bool_t BgL_test1744z00_2060;

								{	/* Eval/progn.scm 136 */
									obj_t BgL_tmpz00_2061;

									BgL_tmpz00_2061 = CAR(BgL_esz00_1179);
									BgL_test1744z00_2060 = PAIRP(BgL_tmpz00_2061);
								}
								if (BgL_test1744z00_2060)
									{	/* Eval/progn.scm 136 */
										if (
											(CAR(CAR(BgL_esz00_1179)) ==
												BGl_symbol1701z00zz__prognz00))
											{
												obj_t BgL_esz00_2068;

												BgL_esz00_2068 =
													BGl_evepairifyz00zz__prognz00
													(BGl_appendzd221011zd2zz__prognz00(CDR(CAR
															(BgL_esz00_1179)),
														BGl_loopze70ze7zz__prognz00(BgL_expsz00_1933,
															CDR(BgL_esz00_1179))), CAR(BgL_esz00_1179));
												BgL_esz00_1179 = BgL_esz00_2068;
												goto BGl_loopze70ze7zz__prognz00;
											}
										else
											{	/* Eval/progn.scm 138 */
												return
													BGl_makezd2epairzd2zz__prognz00(CAR(BgL_esz00_1179),
													BGl_loopze70ze7zz__prognz00(BgL_expsz00_1933,
														CDR(BgL_esz00_1179)), BgL_esz00_1179);
											}
									}
								else
									{
										obj_t BgL_esz00_2080;

										BgL_esz00_2080 = CDR(BgL_esz00_1179);
										BgL_esz00_1179 = BgL_esz00_2080;
										goto BGl_loopze70ze7zz__prognz00;
									}
							}
						else
							{	/* Eval/progn.scm 134 */
								return
									BGl_errorz00zz__errorz00(BGl_string1702z00zz__prognz00,
									BGl_string1703z00zz__prognz00, BgL_expsz00_1933);
							}
					}
			}
		}

	}



/* flatten-sequence~0 */
	obj_t BGl_flattenzd2sequenceze70z35zz__prognz00(obj_t BgL_expsz00_1176)
	{
		{	/* Eval/progn.scm 141 */
			return BGl_loopze70ze7zz__prognz00(BgL_expsz00_1176, BgL_expsz00_1176);
		}

	}



/* &expand-progn */
	obj_t BGl_z62expandzd2prognzb0zz__prognz00(obj_t BgL_envz00_1931,
		obj_t BgL_expsz00_1932)
	{
		{	/* Eval/progn.scm 128 */
			{	/* Eval/progn.scm 132 */
				obj_t BgL_auxz00_2084;

				if (BGl_pairzd2orzd2nullzf3zf3zz__r4_pairs_and_lists_6_3z00
					(BgL_expsz00_1932))
					{	/* Eval/progn.scm 132 */
						BgL_auxz00_2084 = BgL_expsz00_1932;
					}
				else
					{
						obj_t BgL_auxz00_2087;

						BgL_auxz00_2087 =
							BGl_typezd2errorzd2zz__errorz00(BGl_string1704z00zz__prognz00,
							BINT(4826L), BGl_string1705z00zz__prognz00,
							BGl_string1706z00zz__prognz00, BgL_expsz00_1932);
						FAILURE(BgL_auxz00_2087, BFALSE, BFALSE);
					}
				return BGl_expandzd2prognzd2zz__prognz00(BgL_auxz00_2084);
			}
		}

	}



/* object-init */
	obj_t BGl_objectzd2initzd2zz__prognz00(void)
	{
		{	/* Eval/progn.scm 14 */
			return BUNSPEC;
		}

	}



/* generic-init */
	obj_t BGl_genericzd2initzd2zz__prognz00(void)
	{
		{	/* Eval/progn.scm 14 */
			return BUNSPEC;
		}

	}



/* method-init */
	obj_t BGl_methodzd2initzd2zz__prognz00(void)
	{
		{	/* Eval/progn.scm 14 */
			return BUNSPEC;
		}

	}



/* imported-modules-init */
	obj_t BGl_importedzd2moduleszd2initz00zz__prognz00(void)
	{
		{	/* Eval/progn.scm 14 */
			BGl_modulezd2initializa7ationz75zz__errorz00(88804785L,
				BSTRING_TO_STRING(BGl_string1707z00zz__prognz00));
			BGl_modulezd2initializa7ationz75zz__biglooz00(348684831L,
				BSTRING_TO_STRING(BGl_string1707z00zz__prognz00));
			BGl_modulezd2initializa7ationz75zz__tvectorz00(135276775L,
				BSTRING_TO_STRING(BGl_string1707z00zz__prognz00));
			BGl_modulezd2initializa7ationz75zz__structurez00(128205792L,
				BSTRING_TO_STRING(BGl_string1707z00zz__prognz00));
			BGl_modulezd2initializa7ationz75zz__bexitz00(443005284L,
				BSTRING_TO_STRING(BGl_string1707z00zz__prognz00));
			BGl_modulezd2initializa7ationz75zz__bignumz00(289561787L,
				BSTRING_TO_STRING(BGl_string1707z00zz__prognz00));
			BGl_modulezd2initializa7ationz75zz__paramz00(453939141L,
				BSTRING_TO_STRING(BGl_string1707z00zz__prognz00));
			BGl_modulezd2initializa7ationz75zz__expandz00(414007149L,
				BSTRING_TO_STRING(BGl_string1707z00zz__prognz00));
			BGl_modulezd2initializa7ationz75zz__objectz00(475449627L,
				BSTRING_TO_STRING(BGl_string1707z00zz__prognz00));
			BGl_modulezd2initializa7ationz75zz__threadz00(149516032L,
				BSTRING_TO_STRING(BGl_string1707z00zz__prognz00));
			BGl_modulezd2initializa7ationz75zz__r4_numbers_6_5z00(26840973L,
				BSTRING_TO_STRING(BGl_string1707z00zz__prognz00));
			BGl_modulezd2initializa7ationz75zz__r4_numbers_6_5_fixnumz00(457511469L,
				BSTRING_TO_STRING(BGl_string1707z00zz__prognz00));
			BGl_modulezd2initializa7ationz75zz__r4_numbers_6_5_flonumz00(362050511L,
				BSTRING_TO_STRING(BGl_string1707z00zz__prognz00));
			BGl_modulezd2initializa7ationz75zz__r4_numbers_6_5_flonum_dtoaz00
				(268155843L, BSTRING_TO_STRING(BGl_string1707z00zz__prognz00));
			BGl_modulezd2initializa7ationz75zz__r4_characters_6_6z00(198620800L,
				BSTRING_TO_STRING(BGl_string1707z00zz__prognz00));
			BGl_modulezd2initializa7ationz75zz__r4_equivalence_6_2z00(111613887L,
				BSTRING_TO_STRING(BGl_string1707z00zz__prognz00));
			BGl_modulezd2initializa7ationz75zz__r4_booleans_6_1z00(459519430L,
				BSTRING_TO_STRING(BGl_string1707z00zz__prognz00));
			BGl_modulezd2initializa7ationz75zz__r4_symbols_6_4z00(115192690L,
				BSTRING_TO_STRING(BGl_string1707z00zz__prognz00));
			BGl_modulezd2initializa7ationz75zz__r4_strings_6_7z00((-44273703L),
				BSTRING_TO_STRING(BGl_string1707z00zz__prognz00));
			BGl_modulezd2initializa7ationz75zz__r4_pairs_and_lists_6_3z00(9614678L,
				BSTRING_TO_STRING(BGl_string1707z00zz__prognz00));
			BGl_modulezd2initializa7ationz75zz__r4_control_features_6_9z00(376927882L,
				BSTRING_TO_STRING(BGl_string1707z00zz__prognz00));
			BGl_modulezd2initializa7ationz75zz__r4_vectors_6_8z00(43892022L,
				BSTRING_TO_STRING(BGl_string1707z00zz__prognz00));
			BGl_modulezd2initializa7ationz75zz__r4_ports_6_10_1z00(185672289L,
				BSTRING_TO_STRING(BGl_string1707z00zz__prognz00));
			return BGl_modulezd2initializa7ationz75zz__r4_output_6_10_3z00(86988580L,
				BSTRING_TO_STRING(BGl_string1707z00zz__prognz00));
		}

	}

#ifdef __cplusplus
}
#endif
